# generated by datamodel-codegen:
#   filename:  session_start.json

from __future__ import annotations

from dataclasses import dataclass
from typing import TYPE_CHECKING

if TYPE_CHECKING:
    from . import project, python_distribution


@dataclass
class SessionStart:
    """Event emitted when the test session is started."""

    session_id: str
    """
    The unique if of this test session used to aggregate events together.
    """
    timestamp: str
    """
    The date and time when the test session was started in ISO 8601 format.
    """
    python: python_distribution.PythonDistribution
    """
    The Python distribution that is running the tests.
    """
    pytest_version: str
    """
    The version of pytest that is running the tests.
    """
    plugin_version: str
    """
    The version of pytest-broadcaster plugin that is used to produce the report.
    """
    event: str = "session_start"
    """
    The event type. Always set to `session_start`.
    """
    project: project.Project | None = None
    """
    The project that is being tested.
    """
