# generated by datamodel-codegen:
#   filename:  test_case_setup.json

from __future__ import annotations

from dataclasses import dataclass
from typing import TYPE_CHECKING

if TYPE_CHECKING:
    from . import outcome, test_case_error


@dataclass
class TestCaseSetup:
    """Pytest Test Case Setup."""

    session_id: str
    """
    The unique if of this test session used to aggregate events together.
    """
    node_id: str
    """
    The node ID of the test case.
    """
    start_timestamp: str
    """
    Start time of the setup step in ISO 8601 format.
    """
    stop_timestamp: str
    """
    Stop time of the setup step in ISO 8601 format.
    """
    duration: float
    """
    Duration of the setup step in seconds.
    """
    outcome: outcome.Outcome
    """
    Outcome of the setup step.
    """
    event: str = "case_setup"
    """
    The event type. Always set to 'case_setup'.
    """
    error: test_case_error.TestCaseError | None = None
    """
    Error details if the setup step failed.
    """
