# generated by datamodel-codegen:
#   filename:  test_case_teardown.json

from __future__ import annotations

from dataclasses import dataclass
from typing import TYPE_CHECKING

if TYPE_CHECKING:
    from . import outcome, test_case_error


@dataclass
class TestCaseTeardown:
    """Pytest Test Case Teardown."""

    session_id: str
    """
    The unique if of this test session used to aggregate events together.
    """
    node_id: str
    """
    The node ID of the test case.
    """
    start_timestamp: str
    """
    Start time of the teardown step in ISO 8601 format.
    """
    stop_timestamp: str
    """
    Stop time of the teardown step in ISO 8601 format.
    """
    duration: float
    """
    Duration of the teardown step in seconds.
    """
    outcome: outcome.Outcome
    """
    Outcome of the teardown step.
    """
    event: str = "case_teardown"
    """
    The event type. Always set to 'case_teardown'.
    """
    error: test_case_error.TestCaseError | None = None
    """
    Error details if the teardown step failed.
    """
